/* iod.h */

#ifdef TURBOC
#define INTERRUPT   interrupt far
#define FAR         far
#else   /* TURBOC */
#ifdef _MSC_VER
#define INTERRUPT   _interrupt _far
#undef  FAR
#define FAR         _far
#else /* _MSC_VER */
#define _dos_setvect(x,y)   x
#define _dos_getvect(x)     x
#define INTERRUPT
#define FAR
#define _FP_OFF(x)  x
#define _FP_SEG(x)  x
#define _MK_FP(x,y) ((x)*16+(y))
#define _getch      getch
#define _putch      putch
#define _inp        inp
#define _kbhit      kbhit
#define _outp       outp
#endif /* _MSC_VER */
#endif /* TURBOC */

#ifndef SIGPTRDEF
#ifdef HUGE_PTR
typedef short huge *SIGPTR;
#else
typedef short *SIGPTR;
#endif /* HUGE_PTR */
#define SIGPTRDEF
#endif  /* SIGPTRDEF */

extern int adbits, adzero;
extern int lptflg;
extern int iod_num;
extern int iod_port;
extern int adgain;
extern int adchan;
extern int adfeed;
extern int dachan;
extern long adnpts;
extern long adrate;
#ifndef MSC
int input_adc();
int output_dac();
void stop_iod();
#else  /* MSC */
extern int (*input_adc)();
extern int (*output_dac)();
extern void (*stop_iod)();
#endif /* MSC */
void set_timer_rate(int);
void set_dev_port(int, char);
void set_hex_port(char *);

